%define daemon_user monitor
%if 0%{?suse_version}
%define htmlroot /srv/www/htdocs
%define httpconfdir apache2/conf.d
%define daemon_group www
%define web_user wwwrun
%else
%define htmlroot /var/www/html
%define httpconfdir httpd/conf.d
%define daemon_group apache
%define web_user apache
%endif
Summary: Community plugins for op5 Monitor
Name: plugins-community
Version: 2.8.8
Release: op5.1
License: GPLv2+ and GPLv3+ and varying
Group: op5/system-addons
URL: http://www.op5.com/support
Source0: %name-%version.tar.gz
Prefix: /opt/plugins
BuildRoot: %{_tmppath}/%{name}-%{version}
Provides: perl(GSSAPI)
Requires: perl(Mail::IMAPClient)
Requires: perl(Nagios::Plugin)
Requires: perl(Net::SNMP)
Requires: rubygem(amazon-ec2)
Requires: rubygem(aws-sdk)
Requires: rubygem(crack)
Requires: rubygem(httparty)
Requires: rubygem(uuidtools)
Requires: rubygem(xml-simple)
Requires: perl(Net::Domain)
Requires: perl(Switch)
# For check_linux_stats.pl:
Requires: perl(Sys::Statistics::Linux)
Requires: perl(utils)
# For check_domain, which of course parses whois client output:
%if 0%{?suse_version}
# Marco d'Itri whois - is it compatible?
Requires: whois
# If you look at /usr/lib/rpm/find-requires on a sles machine, you'll notice
# that the lines invoking /usr/lib/rpm/perl.req are commented out.
# Hack around by copy-pasting the auto-generated dep list from a centos package
# XXX: this is evil
Requires: perl(Authen::SASL)
Requires: perl(Carp)
Requires: perl(Config::IniFiles)
Requires: perl(DBI)
Requires: perl(Data::Dumper)
Requires: perl(Date::Manip::DM5abbrevs)
Requires: perl(DateTime)
Requires: perl(Digest::HMAC_MD5)
Requires: perl(Digest::MD5)
Requires: perl(Email::Simple)
Requires: perl(Exporter)
Requires: perl(File::Basename)
Requires: perl(FileHandle)
Requires: perl(GSSAPI)
Requires: perl(Getopt::Long)
Requires: perl(Getopt::Std)
Requires: perl(IO::File)
Requires: perl(IO::Select)
Requires: perl(IO::Socket)
Requires: perl(IO::Socket::INET)
Requires: perl(IO::Socket::SSL)
Requires: perl(LWP::UserAgent)
Requires: perl(MIME::Base64)
Requires: perl(Mail::POP3Client)
Requires: perl(Net::Cmd)
Requires: perl(Net::Config)
Requires: perl(Net::IMAP::Simple)
Requires: perl(Net::IMAP::Simple::SSL)
Requires: perl(Net::SMTP)
Requires: perl(Net::SMTP::SSL)
Requires: perl(Net::SNMP)
Requires: perl(Net::SSLeay)
Requires: perl(Number::Format)
Requires: perl(POSIX)
Requires: perl(Pod::Usage)
Requires: perl(SNMP)
Requires: perl(Scalar::Util)
Requires: perl(Socket) >= 1.3
Requires: perl(Storable)
Requires: perl(Sys::Hostname)
Requires: perl(Text::Template)
Requires: perl(Time::HiRes)

%else
# GNU jwhois - is compatible.
Requires: jwhois
Requires: freeipmi
%endif

# Separate third-party plugins
Requires: monitor-plugin-check_hpasm
Requires: monitor-plugin-check_ucs
Requires: monitor-plugin-check_logfiles
Requires: monitor-plugin-check_mysql_health
Requires: monitor-plugin-check_mssql_health

%description
community-plugins is a set of plugins that op5 has found useful enough
to maintain, that the official plugins project have not included.

%prep
%setup -q

%build
%__make

%install
rm -rf %buildroot
make DESTDIR=%buildroot%prefix install

# check_traffic and check_iferrors need these directories
mkdir -p %buildroot/opt/monitor/var/{traffic,errors}
# check_ipmi_sensor need a cache dir
mkdir -p %buildroot/opt/monitor/var/ipmi

pushd %buildroot%prefix
	# check_snmp_env got replaced by check_snmp_environment
	ln -s check_snmp_environment check_snmp_env
	ln -s check_snmp_environment check_snmp_env.pl

	# Some customers have check-commands in op5 Monitor that
	# actually still use the plugin.{pl,sh} form, so we need
	# to maintain it indefinitely. It's no great chore though,
	# so humor them.
	for f in check_*; do
		file $f | grep -q perl && ln -s $f $f.pl && continue
		file $f | grep -q "shell script" && ln -s $f $f.sh
	done
popd

cp -r ./utils %buildroot%prefix

%files
%attr(755, root, root) /opt/plugins/check_*
%attr(755, root, root) /opt/plugins/check_aws/*
%attr(755, root, root) /opt/plugins/utils/*
# must be like this, or this package would require monitor, in which
# case our plugins wouldn't be usable for statistics-only systems
%attr(0777, root, root) /opt/monitor/var/traffic
%attr(0777, root, root) /opt/monitor/var/errors
%attr(755, monitor, %daemon_group) /opt/monitor/var/ipmi

%clean
rm -rf %buildroot


%changelog
* Tue Nov 4 2008 Kostyantyn Gushchyn <kgushtin@op5.se> version-release
- Initial package creation.
